JspCompilerAdapterFactory (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.jsp.compilers.JspCompilerAdapterFactory,JspCompilerAdapterFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp.compilers
Class JspCompilerAdapterFactory

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.jsp.compilers.JspCompilerAdapterFactory

public class JspCompilerAdapterFactory
extends java.lang.Object

Creates the necessary compiler adapter, given basic criteria.

Method Summary
`static JspCompilerAdapter` | `getCompiler(java.lang.String compilerType, Task task)` Based on the parameter passed in, this method creates the necessary factory desired.
`static JspCompilerAdapter` | `getCompiler(java.lang.String compilerType, Task task, AntClassLoader loader)` Based on the parameter passed in, this method creates the necessary factory desired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompiler

    public static JspCompilerAdapter getCompiler(java.lang.String compilerType,
                                                 Task task)
                                          throws BuildException

  Based on the parameter passed in, this method creates the necessary factory desired. The current mapping for compiler names are as follows:
  - jasper = jasper compiler (the default)
  - a fully quallified classname = the name of a jsp compiler adapter

  Parameters:
    `compilerType` - either the name of the desired compiler, or the full classname of the compiler's adapter.
    `task` - a task to log through.
  Throws:
    `BuildException` - if the compiler type could not be resolved into a compiler adapter.

### getCompiler

    public static JspCompilerAdapter getCompiler(java.lang.String compilerType,
                                                 Task task,
                                                 AntClassLoader loader)
                                          throws BuildException

  Based on the parameter passed in, this method creates the necessary factory desired. The current mapping for compiler names are as follows:
  - jasper = jasper compiler (the default)
  - a fully quallified classname = the name of a jsp compiler adapter

  Parameters:
    `compilerType` - either the name of the desired compiler, or the full classname of the compiler's adapter.
    `task` - a task to log through.
    `loader` - AntClassLoader with which the compiler should be loaded
  Throws:
    `BuildException` - if the compiler type could not be resolved into a compiler adapter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.